# Retrieve Payment API Common Content 1
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/common1-retrieve-payment-api/index.md

You can use this API to retrieve the payment transaction using the transaction Id or transaction Reference.   
When using the Retrieve Payment API resource to check the status of a PENDING payment, it should be used no more than every 30 minutes for each payment being retrieved.

## Environment Domains {#environment-domains}

### ++Retrieve Payment by Transaction Id++ {#uretrieve-payment-by-transaction-idu}

* Sandbox/MTF
* Production

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

```Production
https://api.mastercard.com/send/v1/partners/{partner-id}/crossborder/{payment-id}
```

### ++Retrieve Payment by Transaction Reference++ {#uretrieve-payment-by-transaction-referenceu}

* Sandbox/MTF
* Production

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

```Production
https://api.mastercard.com/send/v1/partners/{partner-id}/crossborder?ref={payment-reference}
```

Note: **Sandbox** and **MTF** environments share the same url but are differentiated by partner id.

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross-border-swagger.yaml)

Alternatively, here is a tabular view of the request/ response parameter:
[Retrieve_Payment_Specifications.pdf](https://static.developer.mastercard.com/content/cross-border-services/uploads/Retrieve_Payment_Specifications.pdf) (1MB)   

### Retrieve Payment by Transaction ID {#retrieve-payment-by-transaction-id}


API Reference: `GET /send/v1/partners/{partner-id}/crossborder/{payment-id}`

### Retrieve Payment by Transaction Reference {#retrieve-payment-by-transaction-reference}


API Reference: `GET /send/v1/partners/{partner-id}/crossborder`

